GET /v1/services/storageServices/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import StorageServices
configure(
host="https://your-company.getcollate.io/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = StorageServices.get_versions("d1589e1d-2ab0-431c-a383-15e4be20a106")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
svc_v1 = StorageServices.get_specific_version(
"d1589e1d-2ab0-431c-a383-15e4be20a106",
"0.1"
)
print(f"Original description: {svc_v1.description}")
import static org.openmetadata.sdk.fluent.StorageServices.*;
// List all versions
var history = StorageServices.getVersions("d1589e1d-2ab0-431c-a383-15e4be20a106");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = StorageServices.getSpecificVersion(
"d1589e1d-2ab0-431c-a383-15e4be20a106",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/services/storageServices/d1589e1d-2ab0-431c-a383-15e4be20a106/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/services/storageServices/d1589e1d-2ab0-431c-a383-15e4be20a106/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "storageService",
"versions": [
"{\"id\":\"d1589e1d-2ab0-431c-a383-15e4be20a106\",\"name\":\"s3_datalake\",\"fullyQualifiedName\":\"s3_datalake\",\"version\":0.2,\"description\":\"Updated: Production S3 data lake with new region configuration\",\"serviceType\":\"S3\"}",
"{\"id\":\"d1589e1d-2ab0-431c-a383-15e4be20a106\",\"name\":\"s3_datalake\",\"fullyQualifiedName\":\"s3_datalake\",\"version\":0.1,\"description\":\"Production S3 data lake for analytics\",\"serviceType\":\"S3\"}"
]
}
Storage Service Versions
List and retrieve historical versions of a storage service
GET
/
v1
/
services
/
storageServices
/
{id}
/
versions
GET /v1/services/storageServices/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import StorageServices
configure(
host="https://your-company.getcollate.io/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = StorageServices.get_versions("d1589e1d-2ab0-431c-a383-15e4be20a106")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
svc_v1 = StorageServices.get_specific_version(
"d1589e1d-2ab0-431c-a383-15e4be20a106",
"0.1"
)
print(f"Original description: {svc_v1.description}")
import static org.openmetadata.sdk.fluent.StorageServices.*;
// List all versions
var history = StorageServices.getVersions("d1589e1d-2ab0-431c-a383-15e4be20a106");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = StorageServices.getSpecificVersion(
"d1589e1d-2ab0-431c-a383-15e4be20a106",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/services/storageServices/d1589e1d-2ab0-431c-a383-15e4be20a106/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/services/storageServices/d1589e1d-2ab0-431c-a383-15e4be20a106/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "storageService",
"versions": [
"{\"id\":\"d1589e1d-2ab0-431c-a383-15e4be20a106\",\"name\":\"s3_datalake\",\"fullyQualifiedName\":\"s3_datalake\",\"version\":0.2,\"description\":\"Updated: Production S3 data lake with new region configuration\",\"serviceType\":\"S3\"}",
"{\"id\":\"d1589e1d-2ab0-431c-a383-15e4be20a106\",\"name\":\"s3_datalake\",\"fullyQualifiedName\":\"s3_datalake\",\"version\":0.1,\"description\":\"Production S3 data lake for analytics\",\"serviceType\":\"S3\"}"
]
}
Storage Service Versions
Every change to a storage service entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
string
required
UUID of the storage service.
Get Specific Version
UseGET /v1/services/storageServices/{id}/versions/{version} to retrieve a specific version.
string
required
UUID of the storage service.
string
required
Version number to retrieve (e.g.,
0.2).GET /v1/services/storageServices/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import StorageServices
configure(
host="https://your-company.getcollate.io/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = StorageServices.get_versions("d1589e1d-2ab0-431c-a383-15e4be20a106")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
svc_v1 = StorageServices.get_specific_version(
"d1589e1d-2ab0-431c-a383-15e4be20a106",
"0.1"
)
print(f"Original description: {svc_v1.description}")
import static org.openmetadata.sdk.fluent.StorageServices.*;
// List all versions
var history = StorageServices.getVersions("d1589e1d-2ab0-431c-a383-15e4be20a106");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = StorageServices.getSpecificVersion(
"d1589e1d-2ab0-431c-a383-15e4be20a106",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/services/storageServices/d1589e1d-2ab0-431c-a383-15e4be20a106/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/services/storageServices/d1589e1d-2ab0-431c-a383-15e4be20a106/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "storageService",
"versions": [
"{\"id\":\"d1589e1d-2ab0-431c-a383-15e4be20a106\",\"name\":\"s3_datalake\",\"fullyQualifiedName\":\"s3_datalake\",\"version\":0.2,\"description\":\"Updated: Production S3 data lake with new region configuration\",\"serviceType\":\"S3\"}",
"{\"id\":\"d1589e1d-2ab0-431c-a383-15e4be20a106\",\"name\":\"s3_datalake\",\"fullyQualifiedName\":\"s3_datalake\",\"version\":0.1,\"description\":\"Production S3 data lake for analytics\",\"serviceType\":\"S3\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full storage service object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Storage service or version does not exist |
Was this page helpful?
⌘I